# RequestErrorEvent

#### new Cesium.RequestErrorEvent(statusCode, response, responseHeaders)
Core/RequestErrorEvent.js 20

An event that is raised when a request encounters an error.

Name | Type | Description
--- | --- | ---
`statusCode` | Number | optional The HTTP error status code, such as 404.
`response` | Object | optional The response included along with the error.
`responseHeaders` | String | Object | optional The response headers, represented either as an object literal or as a string in the format returned by XMLHttpRequest's getAllResponseHeaders() function.

### Members

#### response : Object
Core/RequestErrorEvent.js 35

The response included along with the error. If the error does not include a response, this property will be undefined.

#### responseHeaders : Object
Core/RequestErrorEvent.js 43

The headers included in the response, represented as an object literal of key/value pairs. If the error does not include any headers, this property will be undefined.

#### statusCode : Number
Core/RequestErrorEvent.js 27

The HTTP error status code, such as 404. If the error does not have a particular HTTP code, this property will be undefined.

### Methods

#### toString() → String
Core/RequestErrorEvent.js 56

Creates a string representing this RequestErrorEvent.

##### Returns:

A string representing the provided RequestErrorEvent.